Loading...
Searching...
No Matches
cscore.h File Reference
`#include <stdio.h>`
`#include "sysdep.h"`
`#include "csound.h"`

## Data Structures

struct | EVENT
struct | EVLIST

## Functions

PUBLIC EVENT * | cscoreCreateEvent (CSOUND *, int)
PUBLIC EVENT * | cscoreDefineEvent (CSOUND *, char *)
PUBLIC EVENT * | cscoreCopyEvent (CSOUND *, EVENT *)
PUBLIC EVENT * | cscoreGetEvent (CSOUND *)
PUBLIC void | cscorePutEvent (CSOUND *, EVENT *)
PUBLIC void | cscorePutString (CSOUND *, char *)
PUBLIC EVLIST * | cscoreListCreate (CSOUND *, int)
PUBLIC EVLIST * | cscoreListAppendEvent (CSOUND *, EVLIST *, EVENT *)
PUBLIC EVLIST * | cscoreListAppendStringEvent (CSOUND *, EVLIST *, char *)
PUBLIC EVLIST * | cscoreListGetSection (CSOUND *)
PUBLIC EVLIST * | cscoreListGetNext (CSOUND *, MYFLT)
PUBLIC EVLIST * | cscoreListGetUntil (CSOUND *, MYFLT)
PUBLIC EVLIST * | cscoreListCopy (CSOUND *, EVLIST *)
PUBLIC EVLIST * | cscoreListCopyEvents (CSOUND *, EVLIST *)
PUBLIC EVLIST * | cscoreListExtractInstruments (CSOUND *, EVLIST *, char *)
PUBLIC EVLIST * | cscoreListExtractTime (CSOUND *, EVLIST *, MYFLT, MYFLT)
PUBLIC EVLIST * | cscoreListSeparateF (CSOUND *, EVLIST *)
PUBLIC EVLIST * | cscoreListSeparateTWF (CSOUND *, EVLIST *)
PUBLIC EVLIST * | cscoreListAppendList (CSOUND *, EVLIST *, EVLIST *)
PUBLIC EVLIST * | cscoreListConcatenate (CSOUND *, EVLIST *, EVLIST *)
PUBLIC void | cscoreListPut (CSOUND *, EVLIST *)
PUBLIC int | cscoreListPlay (CSOUND *, EVLIST *)
PUBLIC void | cscoreListSort (CSOUND *, EVLIST *)
PUBLIC int | cscoreListCount (CSOUND *, EVLIST *)
PUBLIC void | cscoreFreeEvent (CSOUND *, EVENT *)
PUBLIC void | cscoreListFree (CSOUND *, EVLIST *)
PUBLIC void | cscoreListFreeEvents (CSOUND *, EVLIST *)
PUBLIC FILE * | cscoreFileOpen (CSOUND *, char *)
PUBLIC void | cscoreFileClose (CSOUND *, FILE *)
PUBLIC FILE * | cscoreFileGetCurrent (CSOUND *)
PUBLIC void | cscoreFileSetCurrent (CSOUND *, FILE *)

## Function Documentation

## cscoreCopyEvent()

PUBLIC EVENT * cscoreCopyEvent | ( | CSOUND * | ,
|  | EVENT * | )

References PUBLIC.

## cscoreCreateEvent()

PUBLIC EVENT * cscoreCreateEvent | ( | CSOUND * | ,
|  | int | )

References PUBLIC.

## cscoreDefineEvent()

PUBLIC EVENT * cscoreDefineEvent | ( | CSOUND * | ,
|  | char * | )

References PUBLIC.

## cscoreFileClose()

PUBLIC void cscoreFileClose | ( | CSOUND * | ,
|  | FILE * | )

References PUBLIC.

## cscoreFileGetCurrent()

PUBLIC FILE * cscoreFileGetCurrent | ( | CSOUND * |  | ) |

References PUBLIC.

## cscoreFileOpen()

PUBLIC FILE * cscoreFileOpen | ( | CSOUND * | ,
|  | char * | )

References PUBLIC.

## cscoreFileSetCurrent()

PUBLIC void cscoreFileSetCurrent | ( | CSOUND * | ,
|  | FILE * | )

References PUBLIC.

## cscoreFreeEvent()

PUBLIC void cscoreFreeEvent | ( | CSOUND * | ,
|  | EVENT * | )

References PUBLIC.

## cscoreGetEvent()

PUBLIC EVENT * cscoreGetEvent | ( | CSOUND * |  | ) |

References PUBLIC.

## cscoreListAppendEvent()

PUBLIC EVLIST * cscoreListAppendEvent | ( | CSOUND * | ,
|  | EVLIST * | ,
|  | EVENT * | )

References PUBLIC.

## cscoreListAppendList()

PUBLIC EVLIST * cscoreListAppendList | ( | CSOUND * | ,
|  | EVLIST * | ,
|  | EVLIST * | )

References PUBLIC.

## cscoreListAppendStringEvent()

PUBLIC EVLIST * cscoreListAppendStringEvent | ( | CSOUND * | ,
|  | EVLIST * | ,
|  | char * | )

References PUBLIC.

## cscoreListConcatenate()

PUBLIC EVLIST * cscoreListConcatenate | ( | CSOUND * | ,
|  | EVLIST * | ,
|  | EVLIST * | )

References PUBLIC.

## cscoreListCopy()

PUBLIC EVLIST * cscoreListCopy | ( | CSOUND * | ,
|  | EVLIST * | )

References PUBLIC.

## cscoreListCopyEvents()

PUBLIC EVLIST * cscoreListCopyEvents | ( | CSOUND * | ,
|  | EVLIST * | )

References PUBLIC.

## cscoreListCount()

PUBLIC int cscoreListCount | ( | CSOUND * | ,
|  | EVLIST * | )

References PUBLIC.

## cscoreListCreate()

PUBLIC EVLIST * cscoreListCreate | ( | CSOUND * | ,
|  | int | )

References PUBLIC.

## cscoreListExtractInstruments()

PUBLIC EVLIST * cscoreListExtractInstruments | ( | CSOUND * | ,
|  | EVLIST * | ,
|  | char * | )

References PUBLIC.

## cscoreListExtractTime()

PUBLIC EVLIST * cscoreListExtractTime | ( | CSOUND * | ,
|  | EVLIST * | ,
|  | MYFLT | ,
|  | MYFLT | )

References PUBLIC.

## cscoreListFree()

PUBLIC void cscoreListFree | ( | CSOUND * | ,
|  | EVLIST * | )

References PUBLIC.

## cscoreListFreeEvents()

PUBLIC void cscoreListFreeEvents | ( | CSOUND * | ,
|  | EVLIST * | )

References PUBLIC.

## cscoreListGetNext()

PUBLIC EVLIST * cscoreListGetNext | ( | CSOUND * | ,
|  | MYFLT | )

References PUBLIC.

## cscoreListGetSection()

PUBLIC EVLIST * cscoreListGetSection | ( | CSOUND * |  | ) |

References PUBLIC.

## cscoreListGetUntil()

PUBLIC EVLIST * cscoreListGetUntil | ( | CSOUND * | ,
|  | MYFLT | )

References PUBLIC.

## cscoreListPlay()

PUBLIC int cscoreListPlay | ( | CSOUND * | ,
|  | EVLIST * | )

References PUBLIC.

## cscoreListPut()

PUBLIC void cscoreListPut | ( | CSOUND * | ,
|  | EVLIST * | )

References PUBLIC.

## cscoreListSeparateF()

PUBLIC EVLIST * cscoreListSeparateF | ( | CSOUND * | ,
|  | EVLIST * | )

References PUBLIC.

## cscoreListSeparateTWF()

PUBLIC EVLIST * cscoreListSeparateTWF | ( | CSOUND * | ,
|  | EVLIST * | )

References PUBLIC.

## cscoreListSort()

PUBLIC void cscoreListSort | ( | CSOUND * | ,
|  | EVLIST * | )

References PUBLIC.

## cscorePutEvent()

PUBLIC void cscorePutEvent | ( | CSOUND * | ,
|  | EVENT * | )

References PUBLIC.

## cscorePutString()

PUBLIC void cscorePutString | ( | CSOUND * | ,
|  | char * | )

References PUBLIC.